aboutsummaryrefslogtreecommitdiffstats
path: root/community/leptonica/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-12-26 07:27:29 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-12-26 07:27:34 +0000
commitf9c579fe73d16e41456a48e29f45c164927c48fe (patch)
treee40f635cb95bfaa37d19afdbf28be70cde275ae4 /community/leptonica/APKBUILD
parent6565762ee708e4d83e4025edbf12b3f3e3f2e764 (diff)
downloadaports-f9c579fe73d16e41456a48e29f45c164927c48fe.tar.gz
aports-f9c579fe73d16e41456a48e29f45c164927c48fe.tar.bz2
aports-f9c579fe73d16e41456a48e29f45c164927c48fe.tar.xz
community/leptonica: upgrade to 1.74, cleanup APKBUILD
Diffstat (limited to 'community/leptonica/APKBUILD')
-rw-r--r--community/leptonica/APKBUILD25
1 files changed, 8 insertions, 17 deletions
diff --git a/community/leptonica/APKBUILD b/community/leptonica/APKBUILD
index c7d1eaec38..44eb776f67 100644
--- a/community/leptonica/APKBUILD
+++ b/community/leptonica/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=leptonica
-pkgver=1.73
+pkgver=1.74
pkgrel=0
pkgdesc="Software that is broadly useful for image processing and image analysis applications"
url="http://www.leptonica.com/"
@@ -14,20 +14,11 @@ install=""
subpackages="$pkgname-dev"
source="http://www.leptonica.com/source/leptonica-$pkgver.tar.gz"
-_builddir="$srcdir"/leptonica-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
- update_config_sub || return 1
-}
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
+ cd "$builddir"
+ update_config_sub || return 1
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -41,10 +32,10 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="092cea2e568cada79fff178820397922 leptonica-1.73.tar.gz"
-sha256sums="19e4335c674e7b78af9338d5382cc5266f34a62d4ce533d860af48eaa859afc1 leptonica-1.73.tar.gz"
-sha512sums="4808474d5941a91fbf542a22fed26ddc33f9c4baf2699096acf5e894b7e4e84889d165373b7d1df391a68cda8176113cf122f15203a9e38d3059e17140efc575 leptonica-1.73.tar.gz"
+md5sums="d573298b08bd4ca17ec8723397942fb3 leptonica-1.74.tar.gz"
+sha256sums="e170f8a3f79e7f1742aff975ad5bb0c4a124df1532e6e38d9d71aaa5111de5a2 leptonica-1.74.tar.gz"
+sha512sums="6c563a8f30faf7dc0ad321aa58a012a0d03fc3fba7eb3c3e7b69be8bf2e71cc5f13420ded9cc08b232a780b78234e10bbdbe6a77ef26c5af330c6c6eac477f77 leptonica-1.74.tar.gz"